Skip to main content
PUT
/
v1
/
charts
/
{id}
/
rename
v1 Rename Chart
curl --request PUT \
  --url http://api.globalwebindex.com/v1/charts/{id}/rename \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
import requests

url = "http://api.globalwebindex.com/v1/charts/{id}/rename"

payload = { "name": "<string>" }
headers = {
    "Authorization": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>'})
};

fetch('http://api.globalwebindex.com/v1/charts/{id}/rename', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "code": 123,
  "message": "<string>"
}
{
  "code": 123,
  "message": "<string>"
}
{
  "code": 123,
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

JWT token for authentication

Path Parameters

id
string
required

Chart id.

Body

application/json

Rename chart.

name
string

Response

OK